Bug 172542 - ntdate doesn't process correctly good NTP server answerkernel
ntdate doesn't process correctly good NTP server answerkernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-06 13:43 EST by Yves L'ECUYER
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: ntp 4.2.0.a.20050816 Release 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 07:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ntp-4.2.0.a.20050816-9.src.rpm (2.40 MB, application/x-rpm)
2005-11-08 07:46 EST, Petr Raszyk
no flags Details

  None (edit)
Description Yves L'ECUYER 2005-11-06 13:43:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2) Gecko/20040805 Netscape/7.2

Description of problem:
neither :  ntp-4.2.0.a.20040617-8.x86_64.rpm original package
nor last   ntp-4.2.0.a.20050816-9.x86_64.rpm recompiled from source in FC4 environment
provide a good answer; here is a limited request to one of the fr.pool.ntp.org NTP server:
[root@ismf33 NETOOLS]# LANG=en_US
[root@ismf33 NETOOLS]# ntpdate -d 81.56.228.174
 6 Nov 19:49:15 ntpdate[29537]: ntpdate 4.2.0a@1.1196-r Sun Nov  6 18:44:37 CET 2005 (1)
Looking for host 81.56.228.174 and service ntp
host found : www.berut.net
transmit(81.56.228.174)
transmit(81.56.228.174)
transmit(81.56.228.174)
transmit(81.56.228.174)
transmit(81.56.228.174)
81.56.228.174: Server dropped: no data
server 81.56.228.174, port 123
stratum 0, precision 0, leap 00, trust 000
refid [81.56.228.174], delay 0.00000, dispersion 64.00000
transmitted 4, in filter 4
reference time:    00000000.00000000  Thu, Feb  7 2036  7:28:16.000
originate timestamp: 00000000.00000000  Thu, Feb  7 2036  7:28:16.000
transmit timestamp:  c718ceae.514d50eb  Sun, Nov  6 2005 19:49:18.317
filter delay:  0.00000  0.00000  0.00000  0.00000 
         0.00000  0.00000  0.00000  0.00000 
filter offset: 0.000000 0.000000 0.000000 0.000000
         0.000000 0.000000 0.000000 0.000000
delay 0.00000, dispersion 64.00000
offset 0.000000

 6 Nov 19:49:19 ntpdate[29537]: no server suitable for synchronization found
**********************************
While the answer from server , captured in ether real is correct

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1.set my local time between 1 minute to 20 minutes far from the exact time,

2.then start the ntpdate request towerds one respawning NTP server

3.the answer is always no server suitable for synchronization found, while captured packet in ethereal show a correct answer from NTP server

  

Actual Results:  ntpdate doesn't show the delay between real time and my local clock

the debug mode of ntpdate show clearly that NTP data are mis-interpreted :7 Feb 2036 !!!!!!! ny ntpdate while NTP PDU are correct (see ether-real trace in attachment)

Expected Results:  a good ntpdate answer and action (synchronize local clock) like in i386 architecture

Additional info:

Actual answer from  NTP:
------------------------
Internet Protocol, Src Addr: 81.56.228.174 (81.56.228.174), Dst Addr: 82.127.8.126 (82.127.8.126)
User Datagram Protocol, Src Port: 123 (123), Dst Port: 33440 (33440)
Network Time Protocol
    Flags: 0x24
    Peer Clock Stratum: secondary reference (2)
    Peer Polling Interval: 4 (16 sec)
    Peer Clock Precision: 0,000008 sec
    Root Delay:    0,0592 sec
    Clock Dispersion:    0,0328 sec
    Reference Clock ID: 138.96.64.10
    Reference Clock Update Time: Nov  6, 2005 17:58:15,6770 UTC
    Originate Time Stamp: Nov  6, 2005 18:35:01,8648 UTC
    Receive Time Stamp: Nov  6, 2005 18:13:17,2708 UTC
    Transmit Time Stamp: Nov  6, 2005 18:13:17,2708 UTC
Comment 1 Petr Raszyk 2005-11-08 07:46:02 EST
Created attachment 120811 [details]
ntp-4.2.0.a.20050816-9.src.rpm

Fixed in current release.

Tested in i386, x86_64
Output (x86_64) (as 'root'): ntpdate -d www.berut.net

Looking for host www.berut.net and service ntp
host found : www.berut.net
transmit(81.56.228.174)
receive(81.56.228.174)
transmit(81.56.228.174)
receive(81.56.228.174)
transmit(81.56.228.174)
receive(81.56.228.174)
transmit(81.56.228.174)
receive(81.56.228.174)
transmit(81.56.228.174)
server 81.56.228.174, port 123
stratum 2, precision -17, leap 00, trust 000
refid [81.56.228.174], delay 0.10471, dispersion 0.00072
transmitted 4, in filter 4
reference time:    c71b1b1a.27aa9b49  Tue, Nov	8 2005 13:39:54.154
originate timestamp: c71b1b6d.cce453d2	Tue, Nov  8 2005 13:41:17.800
transmit timestamp:  c71b13f7.1079c411	Tue, Nov  8 2005 13:09:27.064
filter delay:  0.10748	0.10471  0.10513  0.10509
	 0.00000  0.00000  0.00000  0.00000
filter offset: 1910.695 1910.695 1910.695 1910.696
	 0.000000 0.000000 0.000000 0.000000
delay 0.10471, dispersion 0.00072
offset 1910.695212

Note You need to log in before you can comment on or make changes to this bug.